*, *::before, *::after {
    box-sizing: border-box;
}

:root {
    background-color: oklch(0.9961 0.0034 325.6);
    font-family: Montserrat, sans-serif;
    line-height: 1.6;
    scroll-behavior: smooth;
}

body {
    margin: 0;
}

.container {
    max-width: 80rem;
    margin-inline: auto;
    padding-inline: 1rem;
}

header {
    background-color: oklch(0.1454 0.062 264);
    color: oklch(0.9961 0.0034 325.6);
}

footer {
    background-color: oklch(0.3211 0 0);
}

nav ul {
    padding: 0;
    margin: 0;
    list-style: none;
}

nav a {
    display: inline-block;
    padding-bottom: 1rem;
    padding-top: 1rem;
    padding-inline: 2rem;
    color: inherit;
    text-decoration: none;
}

nav ul {
    margin-left: -2rem;
}

nav ul li:nth-child(2) {
    background-color: oklch(0.4647 0.0592 124.95);
}

footer p:last-child {
    margin: 0;
}

h2+p {
    font-style: italic;
}

a[href*="mozilla"] {
    background-color: oklch(0.6306 0.2146 32.82);
}

main .highlight {
    font-style: italic;
    font-weight: bold;
}

main .container--narrow {
    max-width: 40rem;
}

main .m-1 {
    margin: 1;
}

main .m-2 {
    margin: 2;
}

main .p-1 {
    padding: 1;
}

main .p-2 {
    padding: 2;
}

main {
    padding-top: 2vh;
    padding-bottom: 4vw;
}

footer .highlight {
    color: oklch(0.8647 0.2664 142.94);
}

nav ul li a:hover{
    backdrop-filter: brightness(150%);
}

nav ul li a:focus-visible{
    outline-width: 4px;
    outline-style: dotted;
}